logstash with java10 get error : Unrecognized VM option 'UseParNewGC'

unrecognized vm option 'useparnewgc' java 11
unrecognized vm option 'usecompressedoops'
unrecognized vm option 'useparnewgc' solr
error: could not create the java virtual machine.
unrecognized vm option 'cmsincrementalpacing error could not create the java virtual machine
jvm.options file
-xx:+useparnewgc
unrecognized option

I'm running logstash with java10 ,like this commond:

./logstash -f std_std.conf

but I get this error:

Unrecognized VM option 'UseParNewGC'

Error: Could not create the Java Virtual Machine.

Error: A fatal exception has occurred. Program will exit.

Thank you so mach


sorry ,not suport java 10 ~~~~ closed~

As @kylekong said, java 10 is not supported. You could install java 8 instead. Using Ubuntu you should do something like this:

sudo -i
apt-get update
apt-get install openjdk-8-jre-headless -y
apt-get install openjdk-8-jdk-headless -y
java -version
wget -qO - https://artifacts.elastic.co/GPG-KEY-elasticsearch | sudo apt-key add -
echo "deb https://artifacts.elastic.co/packages/6.x/apt stable main" | sudo tee -a /etc/apt/sources.list.d/elastic-6.x.list
apt-get install apt-transport-https
apt-get update && apt-get install logstash
exit

Then you can start Logstash with:

sudo systemctl start logstash

Reference: https://www.elastic.co/guide/en/logstash/current/installing-logstash.html

logstash with java10 get error : Unrecognized VM option , As @kylekong said, java 10 is not supported. You could install java 8 instead. Using Ubuntu you should do something like this: sudo -i apt-get update apt-get  'with java10 I get these error :Unrecognized VM option 'UseParNewGC' #9316' elastic/logstash#9316 - Added a workaround to problem in which the logstash systemd unit does not get installed automatically.

You probably have Java 10 (not proper version). You should install Java 8 (Ubuntu solution):

sudo apt install openjdk-8-jdk

It won't automatically change your default java compiler. Your should make it by your own. Change default java compiler:

sudo update-alternatives --config java

Type 0 or 1 or 2 ... option. Probably last entry. Now:

./logstash -f ../your-logstash-file.conf

Unrecognized VM option 'UseParNewGC' , Error: Could not create , With the setting of -XX:+UseParNewGC as the reference point of the error what would this need to be changed to in order to get a JVM server start  ./bin/logstash --help Unrecognized VM option 'UseParNewGC' Error: Could not create the Java Virtual Machine. Error: A fatal exception has occurred. Program will exit. Kind of unexpected exception; and probably the exception is related to a JVM setting. When I checked the Logstash version, it is 6.5.4 =>./bin/logstash --version logstash 6.5.4

According to the install guide... it is supported.

https://www.elastic.co/guide/en/elasticsearch/reference/current/deb.html

"Elasticsearch requires Java 8 or later. Use the official Oracle distribution or an open-source distribution such as OpenJDK."

logstash – Unrecognized VM option 'UseParNewGC', bin/logstash --help Unrecognized VM option 'UseParNewGC' Error: Could not create the Java Virtual Machine. Error: A fatal exception has  command : logstash -f logstash.conf Unrecognized VM option 'UseParNewGC' Error: Could not create the Java Virtual Machine. Error: A fatal exception has occurred. Program will exit. OS: Windows 10 JDK Version: 10. Are there any news regarding the fix of this issue? :-(Thanks & Regards Alexandra 👍

In the Elastic documentation for installing Logstash, it was mentioned that Logstash requires Java 8.

Logstash requires Java 8. Java 9 is not supported. Use the official Oracle distribution or an open-source distribution such as OpenJDK.

You can download Java 8 and try again. Hope it helps.

$ java -version
java version "1.8.0_171"
Java(TM) SE Runtime Environment (build 1.8.0_171-b11)
Java HotSpot(TM) 64-Bit Server VM (build 25.171-b11, mixed mode)

$ ./bin/logstash -f logstash.conf 
Sending Logstash's logs to ...

Logstash 7.2.0 install error - Logstash, I was upgrading whole stack to 7.2.0 and got following error The unrecognized VM option error suggests you are using a JRE that is not  When I try 'service logstash status' I get a return of 'logstash: unrecognized service'. I am not sure If I did something wrong here. This is on a CentOS 6.9 virtual machine. I have checked the startup.options file and it lists the service name as 'logstash' Thanks in advance.

Unrecognized Option Error For Java In Mac - lunchlasopa, logstash with java10 get error : Unrecognized VM option 'UseParNewGC'. I'm running logstash with java10 ,like this commond: ./logstash -f std_std.conf but I get  I uninstalled logstash and after a reboot unzipped and installed it again. By now it comes with another message: C:\Elastic_demo\logstash-6.2.4\bin>logstash.bat Unrecognized VM option 'UseParNewGC' Error: Could not create the Java Virtual Machine. Error: A fatal exception has occurred. Program will exit.

User Andrea, bin/logstash -f logstash.conf get these error: Unrecognized VM option in Java 8 and older was deprecated in Java 9 and removed in Java 10. For Mac OS X, **DO NOT** make your own copy of idea64.vmoptions. Simply use the Help-->Edit Custom VM Options. It will make the copy for you. I had problems when I created idea64.vmoptions myself (per this article) and then used the Help menu to edit it. Everything saves OK, but my new VM Options were still not being used.

logstash 6.2.3 + java 10 오류, 26 ERROR: virtualenvwrapper could not find virtualenv in your path 6 logstash with java10 get error : Unrecognized VM option 'UseParNewGC' · View more  See the Running Logstash document for managing Logstash as a system service. Installing Logstash on macOS with Homebrewedit. Elastic publishes Homebrew formulae so you can install Logstash with the Homebrew package manager. To install with Homebrew, you first need to tap the Elastic Homebrew repository: